(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7352,        234]
NotebookOptionsPosition[      6427,        203]
NotebookOutlinePosition[      6769,        218]
CellTagsIndexPosition[      6726,        215]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.425455350171875*^9, 3.425455389828125*^9}}],

Cell[TextData[StyleBox["Example 1",
 FontSize->18,
 FontColor->RGBColor[0, 1, 0]]], "Text",
 CellChangeTimes->{{3.423385325734375*^9, 3.4233853475625*^9}, {
  3.4489372958190002`*^9, 3.4489373030886*^9}},
 TextAlignment->Center],

Cell[TextData[{
 "\n",
 StyleBox["3 x + 5 y + 7 z = 10\n5 x + 6 y + 8 z = 1\n16 x + 64 y + z = 165\n",
  FontSize->16]
}], "Text",
 CellChangeTimes->{{3.423384354109375*^9, 3.423384485296875*^9}, {
  3.42338454909375*^9, 3.423384551765625*^9}, {3.42338513846875*^9, 
  3.42338514065625*^9}, {3.423385260578125*^9, 3.423385318203125*^9}, {
  3.4489372791113997`*^9, 3.4489372807650003`*^9}, {3.4489376308602*^9, 
  3.4489376333562*^9}},
 TextJustification->0.5],

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"3", "5", "7"},
      {"5", "6", "8"},
      {"16", "64", "1"}
     }], "\[NoBreak]", ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"10"},
      {"1"},
      {"165"}
     }], "\[NoBreak]", ")"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.4233845565625*^9, 3.423384633109375*^9}}],

Cell[BoxData[
 RowBox[{"LinearSolve", "[", 
  RowBox[{"A", ",", "B"}], "]"}]], "Input",
 CellChangeTimes->{{3.42338507671875*^9, 3.4233850896875*^9}}],

Cell[TextData[StyleBox[" Example 2",
 FontSize->18,
 FontColor->RGBColor[0, 1, 0]]], "Text",
 TextAlignment->Center],

Cell[TextData[{
 StyleBox["\n",
  FontSize->16],
 StyleBox["x - y + 18 a = 10\n2 x + 35 y + z = 20\ny - 4z = 34\nx - y - a - z \
= 0\n",
  FontSize->18]
}], "Text",
 CellChangeTimes->{{3.423385365203125*^9, 3.423385367109375*^9}, {
   3.423385425921875*^9, 3.42338548784375*^9}, {3.42338569315625*^9, 
   3.42338573915625*^9}, {3.4233858101875*^9, 3.4233858465*^9}, 
   3.42338603090625*^9, {3.423386069625*^9, 3.423386074296875*^9}, {
   3.4489373340858*^9, 3.4489374037866*^9}, {3.4489374813342*^9, 
   3.448937508759*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.42338575671875*^9, 3.42338576090625*^9}, 
   3.423385791515625*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", 
       RowBox[{"-", "1"}], "0", "18"},
      {"2", "35", "1", "0"},
      {"0", "1", 
       RowBox[{"-", "4"}], "0"},
      {"1", 
       RowBox[{"-", "1"}], 
       RowBox[{"-", "1"}], 
       RowBox[{"-", "1"}]}
     }], "\[NoBreak]", ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"10"},
      {"20"},
      {"34"},
      {"0"}
     }], "\[NoBreak]", ")"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.423385799828125*^9, 3.423385801703125*^9}, 
   3.42338586334375*^9, {3.423385997984375*^9, 3.42338611*^9}, {
   3.42338615903125*^9, 3.42338621865625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{"x", ",", "y", ",", "z", ",", "a"}], "}"}], "=", 
  RowBox[{"LinearSolve", "[", 
   RowBox[{"A", ",", "B"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.42338625503125*^9, 3.42338626775*^9}}],

Cell[BoxData["x"], "Input",
 CellChangeTimes->{{3.42338636146875*^9, 3.42338638378125*^9}}],

Cell[BoxData["a"], "Input",
 CellChangeTimes->{3.42338638634375*^9}],

Cell[TextData[StyleBox["Example 3",
 FontSize->18,
 FontColor->RGBColor[0, 1, 0]]], "Text",
 TextAlignment->Center],

Cell[TextData[StyleBox["\nx - y + 18 z = 10\n2 x + 35 y + z = -20\ny - 4 z = \
-34\nx - y - z = 0\n",
 FontSize->18]], "Text",
 CellChangeTimes->{{3.423386418328125*^9, 3.423386433859375*^9}, {
  3.423386520859375*^9, 3.42338652353125*^9}, {3.4489375295694*^9, 
  3.4489375370106*^9}, {3.448937587929*^9, 3.4489375908929996`*^9}, {
  3.4489376218901997`*^9, 3.4489376258838*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", 
       RowBox[{"-", "1"}], "18"},
      {"2", "35", "1"},
      {"0", "1", 
       RowBox[{"-", "4"}]},
      {"1", 
       RowBox[{"-", "1"}], 
       RowBox[{"-", "1"}]}
     }], "\[NoBreak]", ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"10"},
      {
       RowBox[{"-", "20"}]},
      {
       RowBox[{"-", "34"}]},
      {"0"}
     }], "\[NoBreak]", ")"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.423386479125*^9, 3.423386563296875*^9}}],

Cell[BoxData[
 RowBox[{"LinearSolve", "[", 
  RowBox[{"A", ",", "B"}], "]"}]], "Input"],

Cell[TextData[StyleBox["\:0628\:0647 \:0647\:0644\:067e \:0627\:064a\:0646 \
\:062e\:0637\:0627 \:0645\:0631\:0627\:062c\:0639\:0647 \:06a9\:0646\:064a\
\:062f \:062a\:0627 \:0631\:0627\:0647 \:062d\:0644 \:0627\:064a\:0646 \:0645\
\:0634\:06a9\:0644 \:0631\:0648 \:0628\:0628\:064a\:0646\:064a\:062f",
 FontSize->18]], "Text",
 CellChangeTimes->{{3.42338663153125*^9, 3.423386849921875*^9}}],

Cell[TextData[{
 StyleBox["\:0645\:0637\:0627\:0644\:0628 \:0648 \:062a\:0648\:0636\:064a\
\:062d\:0627\:062a \:0628\:064a\:0634\:062a\:0631 \:062f\:0631\n",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[ButtonBox["math2pc.persianblog.ir\n",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.math2pc.persianblog.ir"], None}],
  FontColor->RGBColor[0, 0, 1]],
 ButtonBox["math2pc.blog.ir",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://math2pc.blog.ir"], None},
  ButtonNote->"http://math2pc.blog.ir"]
}], "Text",
 CellChangeTimes->{{3.7447294760878*^9, 3.7447295059820004`*^9}, {
  3.7447295847976*^9, 3.7447295872488003`*^9}, {3.7447296318258*^9, 
  3.7447296338900003`*^9}, {3.7447297237511997`*^9, 3.7447297237511997`*^9}},
 TextAlignment->Center,
 TextJustification->0,
 FontSize->24]
},
WindowSize->{615, 527},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 139, 2, 31, "Input"],
Cell[687, 24, 228, 5, 34, "Text"],
Cell[918, 31, 460, 10, 117, "Text"],
Cell[1381, 43, 444, 15, 107, "Input"],
Cell[1828, 60, 150, 3, 31, "Input"],
Cell[1981, 65, 116, 3, 34, "Text"],
Cell[2100, 70, 525, 12, 148, "Text"],
Cell[2628, 84, 163, 3, 31, "Input"],
Cell[2794, 89, 729, 24, 141, "Input"],
Cell[3526, 115, 239, 6, 31, "Input"],
Cell[3768, 123, 91, 1, 31, "Input"],
Cell[3862, 126, 68, 1, 31, "Input"],
Cell[3933, 129, 115, 3, 34, "Text"],
Cell[4051, 134, 379, 6, 149, "Text"],
Cell[4433, 142, 73, 1, 31, "Input"],
Cell[4509, 145, 617, 23, 141, "Input"],
Cell[5129, 170, 87, 2, 31, "Input"],
Cell[5219, 174, 392, 5, 34, "Text"],
Cell[5614, 181, 809, 20, 101, "Text"]
}
]
*)

(* End of internal cache information *)
